TEMPLATE = app

FORMS += \
    src/gui/AutocompleteSettingsPage.ui \
    src/gui/CharsetsSettingsPage.ui \
    src/gui/EditorSettingsPage.ui \
    src/gui/FileTypesPage.ui \
    src/gui/FindDlg.ui \
    src/gui/MainSettingsPage.ui \
    src/gui/SessionDlg.ui \
    src/gui/ViewSettingsPage.ui

# main
HEADERS += \
    src/DocHandler.h \
    src/Document.h \
    src/JuffApp.h \
    src/JuffScintilla.h \
    src/LexerStorage.h \
    src/Manager.h \
    src/NullDoc.h \
    src/PluginManager.h \
    src/SciDoc.h \
    src/SciDocHandler.h \
    src/SocketListener.h

# gui
HEADERS += \
    src/gui/AboutDlg.h \
    src/gui/CharsetsSettingsPage.h \
    src/gui/ColorButton.h \
    src/gui/FileTypesPage.h \
    src/gui/FindDlg.h \
    src/gui/GUI.h \
    src/gui/GUIManager.h \
    src/gui/MultiPage.h \
    src/gui/MW.h \
    src/gui/PluginPage.h \
    src/gui/SessionDlg.h \
    src/gui/SettingsDlg.h \
    src/gui/StatusLabel.h \
    src/gui/TabBar.h \
    src/gui/TabWidget.h \
    src/gui/Viewer.h

# lib
#HEADERS += \
#    include/AppInfo.h \
#    include/AppInfo.os2.h \
#    include/AutocompleteSettings.h \
#    include/CharsetsSettings.h \
#    include/CommandStorage.h \
#    include/FileTypeSettings.h \
#    include/Functions.h \
#    include/IconManager.h \
#    include/Juff.h \
#    include/JuffPlugin.h \
#    include/KeySettings.h \
#    include/License.h \
#    include/Log.h \
#    include/MainSettings.h \
#    include/ManagerInterface.h \
#    include/Parameter.h \
#    include/PluginSettings.h \
#    include/PrintSettings.h \
#    include/Settings.h \
#    include/SettingsCheckItem.h \
#    include/SettingsItem.h \
#    include/SettingsSelectItem.h \
#    include/TextDocSettings.h


# main
SOURCES += \
    src/DocHandler.cpp \
    src/Document.cpp \
    src/JuffApp.cpp \
    src/JuffScintilla.cpp \
    src/LexerStorage.cpp \
    src/main.cpp \
    src/Manager.cpp \
    src/NullDoc.cpp \
    src/PluginManager.cpp \
    src/SciDoc.cpp \
    src/SciDocHandler.cpp \
    src/SocketListener.cpp

# gui
SOURCES += \
    src/gui/AboutDlg.cpp \
    src/gui/CharsetsSettingsPage.cpp \
    src/gui/ColorButton.cpp \
    src/gui/FileTypesPage.cpp \
    src/gui/FindDlg.cpp \
    src/gui/GUI.cpp \
    src/gui/GUIManager.cpp \
    src/gui/MultiPage.cpp \
    src/gui/MW.cpp \
    src/gui/PluginPage.cpp \
    src/gui/SessionDlg.cpp \
    src/gui/SettingsDlg.cpp \
    src/gui/StatusLabel.cpp \
    src/gui/TabBar.cpp \
    src/gui/TabWidget.cpp \
    src/gui/Viewer.cpp

# lib (whatever the reason for this separation is...
#SOURCES += \
#    src/lib/AutocompleteSettings.cpp \
#    src/lib/CharsetsSettings.cpp \
#    src/lib/CommandStorage.cpp \
#    src/lib/FileTypeSettings.cpp \
#    src/lib/IconManager.cpp \
#    src/lib/JuffFunctions.cpp \
#    src/lib/KeySettings.cpp \
#    src/lib/Log.cpp \
#    src/lib/MainSettings.cpp \
#    src/lib/PluginSettings.cpp \
#    src/lib/PrintSettings.cpp \
#    src/lib/Settings.cpp \
#    src/lib/SettingsCheckItem.cpp \
#    src/lib/SettingsItem.cpp \
#    src/lib/SettingsSelectItem.cpp \
#    src/lib/TextDocSettings.cpp

DESTDIR = 

INCLUDEPATH = include \
    include/Qsci \
    src
LIBS += -lqscint25 -ljuff
RC_FILE = juffed_os2.rc
RESOURCES += src/juffed.qrc

OBJECTS_DIR = .build.os2/
MOC_DIR = .build.os2/
RCC_DIR = .build.os2/

QT += xml network

TRANSLATIONS += \
    l10n/juffed_cs.ts \
    l10n/juffed_de.ts \
    l10n/juffed_fr.ts \
    l10n/juffed_pl.ts \
    l10n/juffed_pt.ts \
    l10n/juffed_ru.ts \
    l10n/juffed_sp.ts \
    l10n/juffed_zh_CN.ts
