#ifndef __CLASSDESC_HPP__
#define __CLASSDESC_HPP__

#include <QVector>
#include <QSharedPointer>
#include <QStringList>
#include <ClassItem.hpp>

struct ClassDesc
{
	typedef QVector<unsigned long> InxVec;
	typedef QSharedPointer<ClassDesc> Ptr;
	typedef QVector<Ptr> Vec;
	typedef Vec::iterator It;
	typedef Vec::const_iterator ConstIt;

	ClassDesc(unsigned long startItem,
			  QString const& spec,
			  QString const& name);
	~ClassDesc();

	static ClassDesc::Ptr create(unsigned long& i,
								 ClassItem::Vec const& items,
								 QString const& baseName,
								 QStringList& incomplete);

	Vec classVec() const;
	inline QString declaration() const;
	QStringList segs() const;
	static QString inxList(InxVec const& iv);

	unsigned long startItem_;
	QString spec_,	// "class" or "struct"
			name_;
	unsigned long nameInx_,
				  openInx_,
				  closeInx_;
	InxVec publicSegs_,
		   protectedSegs_,
		   privateSegs_,
		   publicSlotsSegs_,
		   protectedSlotsSegs_,
		   privateSlotsSegs_,
		   signalsSegs_;
	Vec classes_;

};

inline QString ClassDesc::declaration() const
{
	return QString("%1 %2").arg(spec_).arg(name_);
}

#endif
