#ifndef __DLGCLASSPROPERTIES_HPP__
#define __DLGCLASSPROPERTIES_HPP__

#include <QDialog>
#include "ui_DlgClassProperties.h"

class DlgClassProperties: public QDialog
{
	Q_OBJECT

public:
	DlgClassProperties(QString const& currentDoc,
					   QString const& subdir,
					   QWidget* parent = 0);

	inline QString className() const;
	inline QString parentName() const;
	inline QString accessSpec() const;
	inline bool virtualDestructor() const;
	inline QString path() const;

private:
	Ui::DlgClassProperties ui;

private slots:
	void setEnableAccessCombo(QString const& text);
	void browsePath();

};

inline QString DlgClassProperties::className() const
{
	return ui.lineEditClassName->text();
}

inline QString DlgClassProperties::parentName() const
{
	return ui.lineEditParentClass->text();
}

inline QString DlgClassProperties::accessSpec() const
{
	return ui.comboBoxAccessSpec->currentText();
}

inline bool DlgClassProperties::virtualDestructor() const
{
	return ui.checkBoxVirtualDestructor->isChecked();
}
	
inline QString DlgClassProperties::path() const
{
	return ui.lineEditPath->text();
}

#endif
