#ifndef __DLGFUNCTIONPROPERTIES_HPP__
#define __DLGFUNCTIONPROPERTIES_HPP__

#include <QDialog>
#include "ui_DlgFunctionProperties.h"

class DlgFunctionProperties: public QDialog
{
	Q_OBJECT

public:
	DlgFunctionProperties(QStringList const& clist,
						  QString const& sourceFile,
						  QWidget* parent = 0);

	QString accessSpec() const;
	QString functionName() const;
	QString parameters() const;
	QString parametersWithoutDefaults() const;
	QString returnType() const;
	QString className() const;
	bool isGlobal() const;
	bool isConst() const;
	bool isVirtual() const;
	bool isStatic() const;
	bool isInline() const;
	QString sourceFile() const;

private:
	Ui::DlgFunctionProperties ui;

private slots:
	void updateEnableControlsClass(int sel);
	void updateEnableControlsConst(int state);
	void updateEnableControlsStatic(int state);
	void updateEnableControlsInline(int state);
	void updateSourceFileInfo(QString const& text);
	void browseSource();

};

#endif
