// hier kommt ein Kommentar
// mit zwei Zeilen

/* und noch ein
komisch geklapperter */

#ifndef _TEXT_MOD_PLUGIN_H_
#define _TEXT_MOD_PLUGIN_H_

#include <QtCore>
#include <QtCore/QObject>
#include <QtGui/QMenu>
#include <juffed/JuffPlugin.h>
#include <TextModSettings.hpp>

class Burliski { };



class DlgCppSettings;

class TextModPlugin : public QObject,
					  public JuffPlugin
{
	Q_OBJECT
	Q_INTERFACES(JuffPlugin)

public:
	TextModPlugin();
	virtual ~TextModPlugin();

	virtual QString name() const;
	virtual QString description() const;
	virtual QString targetEngine() const;

	virtual Juff::ActionList contextMenuActions() const;
	virtual QMenu* menu() const;

	virtual QToolBar* toolBar() const;
	virtual QWidget* settingsPage() const;
	virtual void applySettings();

private slots:
	void toUpper();
	void toLower();
	void date();
	void cppNewClass();
	void cppNewFunc();
	void htmlTemplate();
	void htmlTable();
	void htmlHref();
	void htmlImg();
	void htmlBold();
	void htmlItalic();
	void htmlUnderline();
	void htmlDiv();
	void htmlUList();
	void htmlOList();
	void callColorDlg();

private:
	QMenu* ctxMenuCpp_;
	QMenu* ctxMenuHtml_;
	QMenu* menu_;
	QToolBar* toolBar_;

	DlgCppSettings* dlgCppSettings_;
	TextModSettings sett_;

	void wrapSelectedText(const QString& fmt, int indent);
	void createList(bool numerated);
	void applyTemplate(QString& text, QString const& tpl,
					   QString const& className,
					   QString const& parentName,
					   QString const& accessSpec,
					   bool virtualDestructor);
	void rowColEndText(QString const& txt, int& row, int& col);

};

#endif
